Subject: [BK PATCH] One more USB update for 2.4.22-pre5
From: Greg KH <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]

Hi,

Right after I send out the last USB updates, I got this one from the
usb-storage people.  It seems pretty serious, so I'm sending this one
out as a single patch.

Please pull from:  bk://kernel.bkbits.net/gregkh/linux/marcelo-2.4

The individual patch will be sent in follow up messages to this email
to you and the linux-usb-devel mailing list.

thanks,

greg k-h

 drivers/usb/storage/protocol.c |   21 +++++++++++++++------
 drivers/usb/storage/usb.h      |    2 +-
 2 files changed, 16 insertions(+), 7 deletions(-)
-----

[email-masked], 2003-07-14 13:52:30-07:00, [email-masked]
  [PATCH] USB: usb-storage US_FL_FIX_CAPACITY fix
  
  Pat LaVarre uncovered a bug where you could throw a well-formed (but
  arguably meaningless) INQUIRY command at a device via the sg interface
  and OOPS the usb-storage driver.  This prevents that from happening.
  
  This has been in 2.5 for a while now.  A 2.4 backport is probably a good
  thing.

 drivers/usb/storage/protocol.c |   21 +++++++++++++++------
 drivers/usb/storage/usb.h      |    2 +-
 2 files changed, 16 insertions(+), 7 deletions(-)
------

Alan Stern:
  o USB: usb-storage US_FL_FIX_CAPACITY fix